Subject: 30.0.50; Calendar not accepting custom holidays

From: "Emanuele M. Monterosso" <[email-masked]>
Date: Sat, 21 Jan 2023 15:00:09 +0100

Hi all,

I've found the current issue with my build of emacs:

I set the variables holiday-general-holidays and

holiday-christian-holidays using the Localized snippets found

in the Emacswiki page, they appear if I do:

M-x holiday-list RET RET RET General/Christian

But they don't appear at all on the calendar and if I choose

All from holiday-list menu they also do not appear. Am I doing something

wrong?

Best regards,

Emanuele M. Monterosso

In GNU Emacs 30.0.50 (build 1, x86_64-w64-mingw32)

Repository revision: 8aae5fbaf29ee3d845e2bb40ef728765a2246e35

Repository branch: master

Windowing system distributor 'Microsoft Corp.', version 10.0.22621

System Description: Microsoft Windows 10 Pro (v10.0.2009.22621.1105)

Configured using:

'configure --prefix=/d/a/emacs-build/emacs-build/pkg/master-x86_64

'CFLAGS=-Ofast -fno-finite-math-only -fomit-frame-pointer'

--with-native-compilation --with-zlib --with-xpm --with-xml2

--with-tree-sitter --without-tiff --with-rsvg --with-png --with-lcms2

--with-json --with-jpeg --with-harfbuzz --with-gnutls --with-gif

--without-cairo --disable-build-details --without-dbus

--with-compress-install --with-small-ja-dic'

Configured features:

ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP

NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS

TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

Important settings:

value of $LANG: ITA

locale-coding-system: cp932

Major mode: Calendar

Minor modes in effect:

marginalia-mode: t

vertico-mode: t

recentf-mode: t

save-place-mode: t

savehist-mode: t

elpaca-use-package-mode: t

override-global-mode: t

tooltip-mode: t

global-eldoc-mode: t

show-paren-mode: t

electric-indent-mode: t

mouse-wheel-mode: t

tool-bar-mode: (nil)

file-name-shadow-mode: t

context-menu-mode: t

global-font-lock-mode: t

font-lock-mode: t

buffer-read-only: t

line-number-mode: t

transient-mark-mode: t

auto-composition-mode: t

auto-encryption-mode: t

auto-compression-mode: t

Load-path shadows:

None found.

Features:

(shadow sort display-line-numbers corfu mail-extr emacsbug message

yank-media puny rfc822 mml mml-sec epa derived epg rfc6068 epg-config

gnus-util text-property-search time-date mm-decode mm-bodies mm-encode

mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047

rfc2045 ietf-drums mm-util mail-prsvr mail-utils orderless cal-china

lunar solar cal-dst cal-bahai cal-islam cal-hebrew mule-util cal-move

comp comp-cstr warnings dashboard dashboard-widgets all-the-icons-dired

all-the-icons all-the-icons-faces data-material data-weathericons

data-octicons data-fileicons data-faicons data-alltheicons ffap

thingatpt fontaine modus-vivendi-theme modus-themes marginalia compat

vertico cus-start vertico-autoloads compat-autoloads

marginalia-autoloads consult-autoloads orderless-autoloads

embark-autoloads corfu-autoloads modus-themes-autoloads

fontaine-autoloads all-the-icons-autoloads all-the-icons-dired-autoloads

page-break-lines-autoloads dashboard-autoloads vc-backup-autoloads init

dired-x dired dired-loaddefs holidays holiday-loaddefs cal-menu calendar

cal-loaddefs recentf tree-widget saveplace savehist rx

elpaca-use-package use-package use-package-ensure use-package-delight

use-package-diminish use-package-bind-key bind-key easy-mmode

use-package-core setup setup-autoloads cl-extra help-mode elpaca

elpaca-process elpaca-autoloads advice package browse-url url url-proxy

url-privacy url-expand url-methods url-history url-cookie

generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse

auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x

map byte-opt gv bytecomp byte-compile url-vars cus-edit pp cus-load

icons wid-edit cl-loaddefs cl-lib rmc iso-transl tooltip cconv eldoc

paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode

mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars

term/common-win tool-bar dnd fontset image regexp-opt fringe

tabulated-list replace newcomment text-mode lisp-mode prog-mode register

page tab-bar menu-bar rfn-eshadow isearch easymenu timer select

scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors

frame minibuffer nadvice seq simple cl-generic indonesian philippine

cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao

korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese composite emoji-zwj charscript

charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure

cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp

files window text-properties overlay sha1 md5 base64 format env

code-pages mule custom widget keymap hashtable-print-readable backquote

threads w32notify w32 lcms2 multi-tty make-network-process

native-compile emacs)

Memory information:

((conses 16 460212 14608)

(symbols 48 20973 0)

(strings 32 170103 3311)

(string-bytes 1 2883470)

(vectors 16 26908)

(vector-slots 8 582737 20690)

(floats 8 980 320)

(intervals 56 558 0)

(buffers 984 12))